/*
** Module   : XmlFactory
** Abstract : DOM XML instances creation.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 EVL 20130130 Created initial version.
*/

package com.goldencode.p2j.xml;

import org.w3c.dom.*;
import com.goldencode.p2j.util.*;

/**
 */
public class XmlFactory
{
   public static handle createXDocument()
   {
      XDocumentImpl res = new XDocumentImpl();
      return res.getHandle();
   }

   public static handle createXNodeReference()
   {
      XNodeRefImpl res = new XNodeRefImpl(); 
      return res.getHandle();
   }
}
