/*
** Module   : XEntity
** Abstract : DOM XML document and nodereference common interface.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 EVL 20130130 Created initial version.
*/

package com.goldencode.p2j.xml;

import org.w3c.dom.*;
import com.goldencode.p2j.util.*;

/**
 */
public interface XEntity
extends WrappedResource
{
   public handle getHandle();

   // Attributes
   public integer getNumChildren();

   public integer getUniqId();

   // Methods
   public logical appendChild(handle hChild);

   // Returning value placed into hChild
   public logical getChild(handle hChild, integer index);
   
   public logical getChild(handle hChild, int index);
   
   public logical removeChild(handle hChild);
}
